NAME        = infoli
EXEC        = $(NAME)

CC          = gcc -std=gnu99
CFLAGS      = -Wall $(shell slic-config --cflags)
LDFLAGS     =  $(shell slic-config --libs) -lnsl



OBJ         = infoliCpuCode.o   
OBJ_SIM     = slic_infoli0.o 

all: run

$(EXEC):    $(OBJ) $(OBJ_SIM)
	$(CC) $(CFLAGS) -o $@ $(OBJ) $(OBJ_SIM) $(LDFLAGS)


run: $(EXEC)
        @echo "Info: Runnning DFE."
	./$(EXEC)

.INTERMEDIATE:    $(OBJ)

clean:
	rm -rf $(EXEC)

.PHONY:    run all clean
